Page MenuHomePhabricator

JADE submodule on tin is dirty
Closed, ResolvedPublic

Description

legoktm@tin:/srv/mediawiki-staging/php-1.32.0-wmf.4/extensions/JADE$ git status
HEAD detached at 1a26fc8
Changes not staged for commit:
  (use "git add/rm <file>..." to update what will be committed)
  (use "git checkout -- <file>..." to discard changes in working directory)

	deleted:    tests/data/invalid_judgment_bad_json.json

no changes added to commit (use "git add" and/or "git commit -a")

Why is this file deleted? cc @mmodell

Details

Related Gerrit Patches:

Event Timeline

Legoktm triaged this task as High priority.May 23 2018, 7:46 AM
Legoktm created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2018, 7:46 AM
Paladox updated the task description. (Show Details)May 23 2018, 7:47 AM
Paladox edited subscribers, added: mmodell; removed: 20after4.
hashar added a subscriber: hashar.

scap does lint json. That file is a test file which causes an invalid syntax error on purpose.

See also T188914

Change 437294 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/JADE@master] Don't use *.json for intentionally invalid JSON file

https://gerrit.wikimedia.org/r/437294

Legoktm removed a project: Scap.Jun 4 2018, 5:29 PM

I think scap's behavior is correct. We should never deploy invalid JSON files. In this case this isn't supposed to be used as JSON, so we can just rename it.

Agreed the file shouldn't be named .json

Change 437294 merged by jenkins-bot:
[mediawiki/extensions/JADE@master] Don't use *.json for intentionally invalid JSON file

https://gerrit.wikimedia.org/r/437294

Legoktm closed this task as Resolved.Jun 4 2018, 10:10 PM
Legoktm claimed this task.

Will be fixed for the next deployment branch.

awight added a subscriber: awight.Jun 4 2018, 10:30 PM

@Legoktm Great fix, thank you!

Vvjjkkii renamed this task from JADE submodule on tin is dirty to 4gcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 4gcaaaaaaa to JADE submodule on tin is dirty.Jul 2 2018, 1:35 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Legoktm.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.